hrheingold
Posts: 2
Joined: Fri Dec 07, 2018 7:08 pm

Raspberry Pi 2.8 Inch touchscreen driver install problem

Fri Dec 07, 2018 7:15 pm

We are working on the animated GIF project with the Adafruit 2.8 inch
240x360 capacitor touch screen on a RPi 3 B+. We are getting an error
in installing the screen drivers.

The Raspbian version:
[email protected]:/home/pi# uname -a
Linux raspberrypi 4.14.79-v7+ #1159 SMP Sun Nov 4 17:50:20 GMT 2018
armv7l GNU/Linux

The following is the error...
---
[email protected]:/home/pi# ./pitft.sh -t 28c -r
START
Type = 28c
[ADAFRUIT] Starting image modification
--2018-12-06 18:58:00--
http://adafruit-download.s3.amazonaws.c ... afruit.deb
Resolving adafruit-download.s3.amazonaws.com
(adafruit-download.s3.amazonaws.com)... 54.231.82.2
Connecting to adafruit-download.s3.amazonaws.com
(adafruit-download.s3.amazonaws.com)|54.231.82.2|:80... connected.
HTTP request sent, awaiting response... 416 Requested Range Not Satisfiable

The file is already fully retrieved; nothing to do.

--2018-12-06 18:58:02--
http://adafruit-download.s3.amazonaws.c ... afruit.deb
Resolving adafruit-download.s3.amazonaws.com
(adafruit-download.s3.amazonaws.com)... 54.231.82.2
Connecting to adafruit-download.s3.amazonaws.com
(adafruit-download.s3.amazonaws.com)|54.231.82.2|:80... connected.
HTTP request sent, awaiting response... 416 Requested Range Not Satisfiable

The file is already fully retrieved; nothing to do.

--2018-12-06 18:58:02--
http://adafruit-download.s3.amazonaws.c ... afruit.deb
Resolving adafruit-download.s3.amazonaws.com
(adafruit-download.s3.amazonaws.com)... 54.231.82.2
Connecting to adafruit-download.s3.amazonaws.com
(adafruit-download.s3.amazonaws.com)|54.231.82.2|:80... connected.
HTTP request sent, awaiting response... 416 Requested Range Not Satisfiable

The file is already fully retrieved; nothing to do.

--2018-12-06 18:58:02--
http://adafruit-download.s3.amazonaws.c ... afruit.deb
Resolving adafruit-download.s3.amazonaws.com
(adafruit-download.s3.amazonaws.com)... 54.231.82.2
Connecting to adafruit-download.s3.amazonaws.com
(adafruit-download.s3.amazonaws.com)|54.231.82.2|:80... connected.
HTTP request sent, awaiting response... 416 Requested Range Not Satisfiable

The file is already fully retrieved; nothing to do.

--2018-12-06 18:58:02--
http://adafruit-download.s3.amazonaws.c ... 0917-1.deb
Resolving adafruit-download.s3.amazonaws.com
(adafruit-download.s3.amazonaws.com)... 54.231.82.2
Connecting to adafruit-download.s3.amazonaws.com
(adafruit-download.s3.amazonaws.com)|54.231.82.2|:80... connected.
HTTP request sent, awaiting response... 416 Requested Range Not Satisfiable

The file is already fully retrieved; nothing to do.

[PITFT] Updating apt cache...
Hit:1 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Hit:2 http://archive.raspberrypi.org/debian stretch InRelease
Reading package lists... Done
[PITFT] Installing Adafruit kernel...
(Reading database ... 116316 files and directories currently installed.)
Preparing to unpack .../libraspberrypi-bin-adafruit.deb ...
Unpacking libraspberrypi-bin-adafruit (1.20130902-1) over (1.20130902-1) ...
Preparing to unpack .../libraspberrypi-dev-adafruit.deb ...
Unpacking libraspberrypi-dev-adafruit (1.20130902-1) over (1.20130902-1) ...
Preparing to unpack .../libraspberrypi-doc-adafruit.deb ...
Unpacking libraspberrypi-doc-adafruit (1.20130902-1) over (1.20130902-1) ...
Preparing to unpack .../libraspberrypi0-adafruit.deb ...
Unpacking libraspberrypi0-adafruit (1.20130902-1) over (1.20130902-1) ...
dpkg: considering removing raspberrypi-bootloader in favour of
raspberrypi-bootloader-adafruit ...
dpkg: yes, will remove raspberrypi-bootloader in favour of
raspberrypi-bootloader-adafruit
Preparing to unpack .../raspberrypi-bootloader-adafruit-20140917-1.deb ...
De-configuring sense-hat (1.2), to allow removal of
raspberrypi-bootloader (1.20181112-1) ...
Adding 'diversion of /boot/bootcode.bin to
/usr/share/rpikernelhack/bootcode.bin by rpikernelhack'
Adding 'diversion of /boot/fixup.dat to
/usr/share/rpikernelhack/fixup.dat by rpikernelhack'
Adding 'diversion of /boot/fixup_cd.dat to
/usr/share/rpikernelhack/fixup_cd.dat by rpikernelhack'
Adding 'diversion of /boot/fixup_x.dat to
/usr/share/rpikernelhack/fixup_x.dat by rpikernelhack'
Leaving 'diversion of /boot/kernel.img to
/usr/share/rpikernelhack/kernel.img by rpikernelhack'
Leaving 'diversion of /boot/kernel_cutdown.img to
/usr/share/rpikernelhack/kernel_cutdown.img by rpikernelhack'
Leaving 'diversion of /boot/kernel_emergency.img to
/usr/share/rpikernelhack/kernel_emergency.img by rpikernelhack'
Adding 'diversion of /boot/start.elf to
/usr/share/rpikernelhack/start.elf by rpikernelhack'
Adding 'diversion of /boot/start_cd.elf to
/usr/share/rpikernelhack/start_cd.elf by rpikernelhack'
Adding 'diversion of /boot/start_x.elf to
/usr/share/rpikernelhack/start_x.elf by rpikernelhack'
Unpacking raspberrypi-bootloader-adafruit (1.20140917-1) ...
dpkg: error processing archive
/tmp/raspberrypi-bootloader-adafruit-20140917-1.deb (--install):
trying to overwrite '/lib/firmware/mts_gsm.fw', which is also in
package firmware-misc-nonfree 1:20161130-3+rpt4
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Removing 'diversion of /boot/start.elf to
/usr/share/rpikernelhack/start.elf by rpikernelhack'
Removing 'diversion of /boot/start_cd.elf to
/usr/share/rpikernelhack/start_cd.elf by rpikernelhack'
No diversion 'diversion of /boot/start_db.elf by rpikernelhack', none
removed.
Removing 'diversion of /boot/start_x.elf to
/usr/share/rpikernelhack/start_x.elf by rpikernelhack'
Removing 'diversion of /boot/fixup.dat to
/usr/share/rpikernelhack/fixup.dat by rpikernelhack'
Removing 'diversion of /boot/fixup_cd.dat to
/usr/share/rpikernelhack/fixup_cd.dat by rpikernelhack'
No diversion 'diversion of /boot/fixup_db.dat by rpikernelhack', none
removed.
Removing 'diversion of /boot/fixup_x.dat to
/usr/share/rpikernelhack/fixup_x.dat by rpikernelhack'
Removing 'diversion of /boot/bootcode.bin to
/usr/share/rpikernelhack/bootcode.bin by rpikernelhack'
No diversion 'diversion of /boot/LICENCE.broadcom by rpikernelhack',
none removed.
dpkg: dependency problems prevent configuration of libraspberrypi0-adafruit:
libraspberrypi0-adafruit depends on raspberrypi-bootloader-adafruit;
however:
Package raspberrypi-bootloader-adafruit is not installed.

dpkg: error processing package libraspberrypi0-adafruit (--install):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of
libraspberrypi-bin-adafruit:
libraspberrypi-bin-adafruit depends on libraspberrypi0-adafruit (=
1.20130902-1); however:
Package libraspberrypi0-adafruit is not configured yet.

dpkg: error processing package libraspberrypi-bin-adafruit (--install):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of
libraspberrypi-dev-adafruit:
libraspberrypi-dev-adafruit depends on libraspberrypi0-adafruit (=
1.20130902-1); however:
Package libraspberrypi0-adafruit is not configured yet.

dpkg: error processing package libraspberrypi-dev-adafruit (--install):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of
libraspberrypi-doc-adafruit:
libraspberrypi-doc-adafruit depends on libraspberrypi0-adafruit (=
1.20130902-1); however:
Package libraspberrypi0-adafruit is not configured yet.

dpkg: error processing package libraspberrypi-doc-adafruit (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
/tmp/raspberrypi-bootloader-adafruit-20140917-1.deb
libraspberrypi0-adafruit
libraspberrypi-bin-adafruit
libraspberrypi-dev-adafruit
libraspberrypi-doc-adafruit
[PITFT] Exiting due to error: Unable to dpkg debs
[email protected]:/home/pi#

DirkS
Posts: 9522
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: Raspberry Pi 2.8 Inch touchscreen driver install problem

Fri Dec 07, 2018 7:26 pm

Don't want to chase you away, but to me this looks like a problem for Adafruit to solve.
https://forums.adafruit.com/
(probably section https://forums.adafruit.com/viewforum.p ... f8b8093975)

hrheingold
Posts: 2
Joined: Fri Dec 07, 2018 7:08 pm

Re: Raspberry Pi 2.8 Inch touchscreen driver install problem

Fri Dec 07, 2018 7:41 pm

Yikes. I did post there, but they pointed me here for code issues.

Return to “Raspbian”